Loading...
Searching...
No Matches
cxx::Bits::Smart_ptr_list_item< T, STORE_T > Class Template Reference

List item for an arbitrary item in a Smart_ptr_list. More...

`#include <smart_ptr_list.h>`

Inheritance diagram for cxx::Bits::Smart_ptr_list_item< T, STORE_T >:
Collaboration diagram for cxx::Bits::Smart_ptr_list_item< T, STORE_T >:

## Detailed Description

template<typename T, typename STORE_T>
class cxx::Bits::Smart_ptr_list_item< T, STORE_T >

List item for an arbitrary item in a Smart_ptr_list.

Template Parameters

  T | Type of object to be stored in the list.
  STORE_T | Storage type for pointer to next item. The class must implement a get() function that returns a pointer to the stored object and destroy the stored object when the item goes out of scope.

Definition at line 27 of file smart_ptr_list.h.

The documentation for this class was generated from the following file:

- l4/cxx/bits/smart_ptr_list.h